netabootwrap
1
netabootwrap

# netabootwrap

builds network bootable images for Linux/Alpha

       netabootwrap
            -t netboot.img
            -k vmlinux.gz
    	-i initrd.gz
    	-a "some kernel parameters"

## COPYRIGHT

netabootwrap is (c) 2000 by Soohoon Lee soohoon.lee@api-networks.com

## DESCRIPTIONS

netabootwrap merges `net_aboot`, kernel and initrd images to build the network bootable image for Linux/Alpha systems. `net_aboot.nh` will not be usable but netabootwrap has all the functions. Without options, It'll look for `vmlinux.gz` and build `netboot.img`, which is `net_aboot` + `vmlinux.gz`.

-t filename

  Sets the file name of the netboot image to be created, default is `netboot.img`. This file will be unconditionally overwritten if it exists.

-k filename

  Sets the file name of the kernel image, default is `vmlinux.gz`

-i filename

  Sets the file name of the initial RAM-disk image, default is `initrd.gz`

-a "some kernel options"

  Provide additional kernel options, e.g. -a "root=/dev/sda1 single"

## NOTES

To actually use the image, you need a tftpd(8) server and a dhcp(8) or bootpd(8) server. You can find further details in the SRM-HOWTO: ( or in `/usr/share/doc/aboot/SRM-HOWTO/` on Debian GNU/Linux systems (and possibly others))

## AUTHOR

This man page was written by Helge Kreutzmann debian@helgefjell.de for the Debian GNU/Linux project but may be used by others.

## SEE ALSO

tftpd(8), dhcpd(8), bootpd(8), aboot(8), SRM-HOWTO in `/usr/share/doc/aboot/SRM-HOWTO/` or , HP SRM Manual ()